Bug 1439294 - [Ansible Embedded] - Menu not highlighted when navigate to Automation -> Ansible
Summary: [Ansible Embedded] - Menu not highlighted when navigate to Automation -> Ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Martin Hradil
QA Contact: luke couzens
URL:
Whiteboard: ui:ansible_embed
Depends On: 1431072
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 15:40 UTC by Satoe Imaishi
Modified: 2017-05-31 14:48 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431072
Environment:
Last Closed: 2017-05-31 14:48:00 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-05 22:58:16 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/0fe693769b9654c54aa18a3db21477d34b069209

commit 0fe693769b9654c54aa18a3db21477d34b069209
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Apr 5 16:13:45 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 5 18:54:51 2017 -0400

    Merge pull request #871 from himdel/ansible-menu-section
    
    Menu highlighting - use menu_section instead of @layout, when possible
    (cherry picked from commit d4c8ae9ae4ae9d0649041a2d435ba1686dfd4621)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439294

 app/controllers/ansible_credential_controller.rb |  2 +-
 app/controllers/ansible_playbook_controller.rb   |  2 +-
 app/controllers/ansible_repository_controller.rb |  2 +-
 app/controllers/application_controller.rb        |  6 ++---
 app/controllers/automation_manager_controller.rb |  4 +--
 app/helpers/application_helper.rb                | 33 +++++++++++++++---------
 app/presenters/menu/manager.rb                   | 13 +++++++++-
 app/views/layouts/_vertical_navbar.html.haml     | 10 +++----
 8 files changed, 46 insertions(+), 26 deletions(-)

Comment 3 luke couzens 2017-04-13 08:01:00 UTC
Verified in 5.8.0.10

Comment 5 errata-xmlrpc 2017-05-31 14:48:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.